Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xdb.bean
Class XMLTypeBean

    java.lang.Object
      |
      +--oracle.xdb.dom.XDBNode
            |
            +--oracle.xdb.dom.XDBElement
                  |
                  +--oracle.xdb.bean.XMLTypeBean

All Implemented Interfaces:
  Element, Node

public class XMLTypeBean
extends XDBElement

Field Summary

Fields inherited from class oracle.xdb.dom.XDBNode
`m_conn, m_owner, m_xobcstate`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`XMLTypeBean(XDBDocument owner, long kidnum)`
`XMLTypeBean(XDBDocument owner, long xob, long kidnum)`

Method Summary
`long` | `getChildArray(long kidnum)`
`long` | `getChildElemAt(long arrcstate, int index)`
`long` | `getElem(int kidnum)`
`long` | `getNumChildArray(long arrcstate)`
`java.math.BigDecimal` | `getScalarBigDecimal(int kidnum)`
`boolean` | `getScalarboolean(int kidnum)`
`byte` | `getScalarbyte(int kidnum)`
`java.util.Date` | `getScalarDate(int kidnum)`
`float` | `getScalarfloat(int kidnum)`
`int` | `getScalarint(int kidnum)`
`long` | `getScalarlong(int kidnum)`
`short` | `getScalarshort(int kidnum)`
`java.lang.String` | `getScalarString(int kidnum)`
`boolean` | `isVector(long kidnum)`
`void` | `setElem(int kidnum, java.lang.Object obj)`
`void` | `setKidNum(long kidnum)`
`void` | `setNodeXob(int propnum)` Set the Xob state based on the owner document
`void` | `setScalar(int kidnum, java.math.BigDecimal val)`
`void` | `setScalar(int kidnum, boolean val)`
`void` | `setScalar(int kidnum, byte val)`
`void` | `setScalar(int kidnum, java.util.Date val)`
`void` | `setScalar(int kidnum, float val)`
`void` | `setScalar(int kidnum, int val)`
`void` | `setScalar(int kidnum, long val)`
`void` | `setScalar(int kidnum, short val)`
`void` | `setScalar(int kidnum, java.lang.String val)`

Methods inherited from class oracle.xdb.dom.XDBElement
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildrenByTagName, getChildrenByTagNameNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, resolveNSPrefix, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class oracle.xdb.dom.XDBNode
`appendChild, cloneNode, close, equals, finalize, getAttributes, getChildNodes, getExpandedName, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeFromCState, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getQualifiedName, getSchemaNode, hasAttributes, hasChildNodes, hashCode, insertBefore, isClosed, isSupported, normalize, removeChild, replaceChild, setNodeValue, setOwner, setPrefix, setXobCstate, toCState, toString, write`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### XMLTypeBean

    public XMLTypeBean(XDBDocument owner,
                       long xob,
                       long kidnum)

### XMLTypeBean

    public XMLTypeBean(XDBDocument owner,
                       long kidnum)

Method Detail

### setKidNum

    public void setKidNum(long kidnum)

### setNodeXob

    public void setNodeXob(int propnum)

  Description copied from class: `XDBNode`
  Set the Xob state based on the owner document
  Overrides:
    `setNodeXob` in class `XDBNode`

### getScalarint

    public int getScalarint(int kidnum)

### getScalarlong

    public long getScalarlong(int kidnum)

### getScalarshort

    public short getScalarshort(int kidnum)

### getScalarbyte

    public byte getScalarbyte(int kidnum)

### getScalarBigDecimal

    public java.math.BigDecimal getScalarBigDecimal(int kidnum)

### getScalarString

    public java.lang.String getScalarString(int kidnum)

### getScalarboolean

    public boolean getScalarboolean(int kidnum)

### getScalarfloat

    public float getScalarfloat(int kidnum)

### getScalarDate

    public java.util.Date getScalarDate(int kidnum)

### setScalar

    public void setScalar(int kidnum,
                          java.util.Date val)

### setScalar

    public void setScalar(int kidnum,
                          int val)

### setScalar

    public void setScalar(int kidnum,
                          short val)

### setScalar

    public void setScalar(int kidnum,
                          long val)

### setScalar

    public void setScalar(int kidnum,
                          byte val)

### setScalar

    public void setScalar(int kidnum,
                          java.math.BigDecimal val)

### setScalar

    public void setScalar(int kidnum,
                          float val)

### setScalar

    public void setScalar(int kidnum,
                          boolean val)

### setScalar

    public void setScalar(int kidnum,
                          java.lang.String val)

### isVector

    public boolean isVector(long kidnum)

### getChildArray

    public long getChildArray(long kidnum)

### getNumChildArray

    public long getNumChildArray(long arrcstate)

### getChildElemAt

    public long getChildElemAt(long arrcstate,
                               int index)

### getElem

    public long getElem(int kidnum)

### setElem

    public void setElem(int kidnum,
                        java.lang.Object obj)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.